/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 * Click nbfs://nbhost/SystemFileSystem/Templates/Classes/Class.java to edit this template
 */
package actividad31.Drivers;

import actividad31.Actividad31;
import actividad31.Interfaces.Terminalnterfaz;
import java.util.Scanner;

/**
 *
 * @author kyman
 */
public class Terminal {
    
    private boolean activo = true;
    
    public Terminal(Terminalnterfaz padre){
        
        if(!Actividad31.trabajando){
            activo = false;
            return;
        }
        
        System.out.println("Lanzando terminal.");
        
        new Thread(new Runnable(){
            @Override
            public void run() {
                
                Scanner entrada = new Scanner(System.in);
                String comando;
                
                while(Actividad31.trabajando)
                    switch(comando = entrada.nextLine()){
                        case "cerrar", "terminar", "close", "exit", "salir", "bye" -> {
                            Actividad31.trabajando = false;
                            padre.cerrar();
                        }
                        default -> {
                            if(!padre.terminal(comando) && Actividad31.trabajando)
                                System.out.println("El comando '" + comando + "' no existe.");
                        }
                    }
                activo = false;
                
            }
        }).start();
        
    }
    
    public void cerrar(){
        if(activo)
            System.out.println("Por favor, presione cualquier tecla para terminar de cerrar la aplicación.");
    }
    
}
