/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 * Click nbfs://nbhost/SystemFileSystem/Templates/Classes/Main.java to edit this template
 */
package actividad31;

import actividad31.Aplicaciones.Cliente;
import actividad31.Aplicaciones.Servidor;
import actividad31.Drivers.Terminal;
import java.util.Arrays;

/**
 *
 * @author kyman
 */
public class Actividad31 {
    
    // Configuración.
    public static final int puerto = 2000;
    public static final String host = "localhost";
    public static final int[] rango_aleatorio = {0, 100};
    public static final String modo_por_defecto = "servidor";
    // Configuración.
    
    public static boolean trabajando = true;
    public static Servidor servidor = null;
    public static Cliente cliente = null;
    public static Terminal terminal = null;

    /**
     * @param args the command line arguments
     */
    public static void main(String[] args) {
        // TODO code application logic here
        
        String accion = args.length != 0 ? args[0] : modo_por_defecto;
        
        if(accion != null){
            switch(accion){
                case "servidor", "server" -> crear_servidor();
                case "cliente", "client" -> crear_cliente();
                default -> System.out.println("La acción '" + accion + "' existe. Por favor, indique si quiere lanzar el servidor o el cliente simplemente indicando 'servidor' o 'cliente'.");
            }
        }else 
            System.out.println("Por favor, indique si quiere arrancar como servidor o como cliente con las palabras clave 'servidor' o 'cliente'.");
        
    }
    
    private static void crear_servidor(){
        
        terminal = new Terminal(servidor = new Servidor());
        
    }
    
    private static void crear_cliente(){
        
        terminal = new Terminal(cliente = new Cliente());
        
    }
    
    public static void excepcion(Exception excepcion){
        System.out.println(excepcion.getMessage());
        System.out.println(Arrays.toString(excepcion.getStackTrace()));
    }
    
    public static void cerrar(){
        trabajando = false;
        if(servidor != null)
            servidor.cerrar();
        if(cliente != null)
            cliente.cerrar();
        if(terminal != null)
            terminal.cerrar();
    }
    
}
